/* daemonize our process - as per apue */

#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include "yaunc.h"

int
daemon_init(void)
{
	pid_t pid;

	/* the parent should fork and then exit, the child continues */
	if ( (pid = fork()) < 0)
		return -1;
	else if (pid != 0)
		exit(0);

	/* now we are the child */
	setsid();		/* become process group leader */

	/* now ensure that we *aren't* the session leader */
	if ( (pid = fork()) < 0)
		return -1;
	else if (pid != 0)
		exit(0);
	
	chdir("/");		/* change to / */
	umask(0);		/* clear any file creation mask */

	return(0);
}	
