/* get_uptime - returns the number of seconds since the last reboot */
/* this function actually asks the kernel, unlike the function which uses
	/proc
*/

#include <sys/types.h>
#include <sys/param.h>
#include <sys/sysctl.h>

#include "yaunc.h"

time_t
get_uptime(float * idle)
{
	struct timeval tv;
	int mib[2];
	time_t ut, now;
	size_t size;

	mib[0] = CTL_KERN;
	mib[1] = KERN_BOOTTIME;
	size = sizeof(tv);

	/* largely borrowed from the 'w' source in openbsd */
	if ( sysctl(mib,2, &tv, &size, NULL, 0) != -1 )
	{
		now = time(NULL);
		ut = now - tv.tv_sec;
		/* minutes, not seconds */
		return (ut / 60);
	}
	else
		return -1;
}
