/* get the uptime from the /proc tree */
/*
    this is a kludge since I can't figure out how solaris does it for the life
    of me...
    anyway, this method may work best since almost everyone supports /proc 
    these days.
    simply, I check the creation time of the 0 and 1 directories under /proc,
    they should correspond to the time when the kernel was booted.
*/

#include <sys/stat.h>

#include "yaunc.h"

time_t
get_uptime(float * idle)
{
    struct stat buffer;
    char * path;
    int error_test;
    time_t uptime, current;

    path = "/proc/0";

    /* try '0' first, then fall back to '1' */
    if ( (error_test = stat(path, &buffer)) == -1)
    {
        path = "/proc/1";
        if ( (error_test = stat(path, &buffer)) == -1)
        {
    	     err_ret("%s: Can't stat /proc... get_uptime() failed", NAME);
    	     return -1;
        }
    }
    /* now that we've successfully stat()'ed - process the data */
    current = time(NULL);
    uptime = current - (buffer.st_ctime);
    /* minutes... not seconds... */
    return (uptime / 60);
}	
