/* __inline functions, mainly used by my global variable 'settings' */
/*
   all of these functions that take char * pointers are assumed to take
	solid, malloc()'ed for pointers.  i.e., the pointer refers to permanent,
	nonlocal data so all that is required is a simple assignment.
*/	

#include <stdio.h>
#include <stdlib.h>

#include "yaunc.h"

/* settings management */
__inline void
SetConfFilePath (char * ptr)
{
   extern struct settings settings;
	settings.conf_file_path = strdup(ptr); 
	return;
}

__inline char *
GetConfFilePath (void)
{
   extern struct settings settings;
	return settings.conf_file_path;
}

__inline void
SetAlreadyDaemon (int flag)
{
   extern struct settings settings;
	settings.already_daemon = flag;
	return;
}

__inline int
GetAlreadyDaemon (void)
{
   extern struct settings settings;
	return settings.already_daemon;
}

__inline void
SetAuth (char * ptr)
{
   extern struct settings settings;
	settings.auth = ptr;
	return;
}

__inline char *
GetAuth (void)
{
   extern struct settings settings;
	return settings.auth;
}

__inline void 
SetDelay (int delay)
{
   extern struct settings settings;
	settings.delay = delay;
	return;
}

__inline int 
GetDelay (void)
{
   extern struct settings settings;
	return settings.delay;
}

__inline void
SetDaemonFlag (int flag)
{
   extern struct settings settings;
	settings.daemon_flag = flag;
	return;
}

__inline int
GetDaemonFlag (void)
{
   extern struct settings settings;
	return settings.daemon_flag;
}

/* the # of times we've looped */
__inline int
GetLoops (void)
{
   extern struct settings settings;
	return settings.loops;
}

__inline void
SetLoops (int temp)
{
   extern struct settings settings;
	settings.loops = temp;
	return;
}	
