%{
#include "yaunc.h"

	/* simple conf file reader */
enum {	NONE,
	AUTH,
	DAEMON,
	DELAY
};

int state;

int read_conf (void) {
	FILE * fp;
        /* open the conf file */
        if ( (fp = fopen(GetConfFilePath(), "r")) == NULL)
                err_sys("%s: Failed to open the config file", NAME);

	yyin = fp;
	yylex();

	return 1;
}


%}

%%

\n	{ state = NONE; }
#.*$	{ state = NONE; }	/* reset state and skip comments */
^auth 	{ state = AUTH; }
^daemon { state = DAEMON; }
^delay 	{ state = DELAY; }

[a-zA-Z0-9]+ {
	#if defined(DEBUG1)
	printf("In state %d, found %s\n", state, yytext);
	#endif

	switch(state) {
		case AUTH: SetAuth(strdup(yytext)); break;
		case DAEMON: SetDaemonFlag((int)strtol(yytext, (char **)NULL, 10)); break;
		case DELAY: SetDelay((int)strtol(yytext, (char **)NULL, 10)); break;
		case NONE:
		default: break;
	}
	}

.	/* ignore others */

%%
