/* networking code :) */

#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <string.h>
#include <stdlib.h>

#include "yaunc.h"

/* 
	take the data and send it to the server specified by sockfd.
	Close the connection at the end, since we'll time out if we don't.
*/	
int
send_data (const char * data)
{
	int sockfd;
	struct sockaddr_in servaddr;
	char * ip;

	if ((ip = get_dns(UPHOST)) == NULL)
		return -1;
	
	/* if we can't create the socket, then something is wrong */
	sockfd = Socket(AF_INET, SOCK_DGRAM, 0);

	/* zero out the structure for cleanliness */
	memset(&servaddr, '0', sizeof(servaddr));
	servaddr.sin_family = AF_INET;
	servaddr.sin_port = htons(UPPORT);
	Inet_pton(AF_INET, ip, &servaddr.sin_addr);
	free(ip);

	/* communicate via the socket, with the server */
	if (sendto(sockfd, data, strlen(data), 0,(SA*) &servaddr, sizeof(servaddr)) == -1 ) {
		perror("yaunc: sendto");
		return -1;
	}	
	
	return 1;
}
